Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class DestinationAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.DestinationAttributes

    public class DestinationAttributes

extends Object

Class containing information on destination attributes.

Field Summary
`static String` | `AUTO_CREATE_QUEUE_MAX_NUM_ACTIVE_CONSUMERS` Max number of active consumers for auto created queues.
`static String` | `AUTO_CREATE_QUEUE_MAX_NUM_BACKUP_CONSUMERS` Max number of backup consumers for auto created queues.
`static String` | `AUTO_CREATE_QUEUES` Auto creation of queues.
`static String` | `AUTO_CREATE_TOPICS` Auto creation of topics.
`static String` | `AVG_NUM_ACTIVE_CONSUMERS` Average number of active consumers
`static String` | `AVG_NUM_BACKUP_CONSUMERS` Average number of backup consumers
`static String` | `AVG_NUM_CONSUMERS` Average number of consumers
`static String` | `AVG_NUM_MSGS` Average number of messages
`static String` | `AVG_TOTAL_MSG_BYTES` Average total message bytes
`static String` | `CONNECTION_ID` Connection ID - only for temporary destinations
`static String` | `CONSUMER_FLOW_LIMIT` Consumer flow limit
`static String` | `CREATED_BY_ADMIN` Created by administrator.
`static String` | `DISK_RESERVED` Disk reserved.
`static String` | `DISK_USED` Disk Used.
`static String` | `DISK_UTILIZATION_RATIO` Disk utilization ratio.
`static String` | `DMQ_TRUNCATE_BODY` Truncate bodies of messages in DMQ.
`static String` | `LIMIT_BEHAVIOR` Limit behavior
`static String` | `LOCAL_DELIVERY_PREFERRED` LocalDeliveryPreferred
`static String` | `LOCAL_ONLY` Local Only
`static String` | `LOG_DEAD_MSGS` Logging of dead messages.
`static String` | `MAX_BYTES_PER_MSG` Max size of a message.
`static String` | `MAX_NUM_ACTIVE_CONSUMERS` Max number of active consumers.
`static String` | `MAX_NUM_BACKUP_CONSUMERS` Max number of backup consumers.
`static String` | `MAX_NUM_MSGS` Max number of messages.
`static String` | `MAX_NUM_PRODUCERS` Max number of producers.
`static String` | `MAX_TOTAL_MSG_BYTES` Max total msg bytes
`static String` | `MSG_BYTES_IN` Msg bytes in
`static String` | `MSG_BYTES_OUT` Msg bytes out
`static String` | `NAME` Destination name
`static String` | `NEXT_MESSAGE_ID` Next Message to be delivered
`static String` | `NUM_ACTIVE_CONSUMERS` Number of active consumers
`static String` | `NUM_BACKUP_CONSUMERS` Number of backup consumers
`static String` | `NUM_CONSUMERS` Number of consumers
`static String` | `NUM_DESTINATIONS` Number of destinations
`static String` | `NUM_MSGS` Number of messages
`static String` | `NUM_MSGS_HELD_IN_TRANSACTION` Number of messages held in transaction
`static String` | `NUM_MSGS_IN` Number of msgs in
`static String` | `NUM_MSGS_IN_DMQ` Number of messages in dead message queue.
`static String` | `NUM_MSGS_OUT` Number of msgs out
`static String` | `NUM_MSGS_PENDING_ACKS` Number of messages pending acknowledgement
`static String` | `NUM_MSGS_REMOTE` Number of messages originating from producers on remote brokers
`static String` | `NUM_PRODUCERS` Number of producers
`static String` | `NUM_WILDCARD_CONSUMERS` Number of wildcard consumers
`static String` | `NUM_WILDCARD_PRODUCERS` Number of wildcard producers
`static String` | `NUM_WILDCARDS` Number of wildcards
`static String` | `PEAK_MSG_BYTES` Peak message bytes
`static String` | `PEAK_NUM_ACTIVE_CONSUMERS` Peak number of active consumers
`static String` | `PEAK_NUM_BACKUP_CONSUMERS` Peak number of backup consumers
`static String` | `PEAK_NUM_CONSUMERS` Peak number of consumers
`static String` | `PEAK_NUM_MSGS` Peak number of messages
`static String` | `PEAK_TOTAL_MSG_BYTES` Peak total message bytes
`static String` | `RELOAD_XML_SCHEMA_ON_FAILURE`
`static String` | `STATE` Destination state.
`static String` | `STATE_LABEL` String representation of destination state.
`static String` | `TEMPORARY` Attribute indicating if a destination is temporary or not.
`static String` | `TOTAL_MSG_BYTES` Total message bytes.
`static String` | `TOTAL_MSG_BYTES_HELD_IN_TRANSACTION` Total message bytes held in transaction.
`static String` | `TOTAL_MSG_BYTES_IN_DMQ` Total message bytes in dead message queue.
`static String` | `TOTAL_MSG_BYTES_REMOTE` Total message bytes from messages originating from producers on remote brokers.
`static String` | `TYPE` Destination type
`static String` | `USE_DMQ` Use dead message queue.
`static String` | `VALIDATE_XML_SCHEMA_ENABLED`
`static String` | `XML_SCHEMA_URI_LIST` List of XML schema URIs

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSUMER_FLOW_LIMIT

    public static final String CONSUMER_FLOW_LIMIT

  Consumer flow limit

  See Also:
    Constant Field Values

### LOCAL_ONLY

    public static final String LOCAL_ONLY

  Local Only

  See Also:
    Constant Field Values

### LIMIT_BEHAVIOR

    public static final String LIMIT_BEHAVIOR

  Limit behavior

  See Also:
    Constant Field Values

### LOCAL_DELIVERY_PREFERRED

    public static final String LOCAL_DELIVERY_PREFERRED

  LocalDeliveryPreferred

  See Also:
    Constant Field Values

### AUTO_CREATE_QUEUES

    public static final String AUTO_CREATE_QUEUES

  Auto creation of queues.

  See Also:
    Constant Field Values

### AUTO_CREATE_QUEUE_MAX_NUM_ACTIVE_CONSUMERS

    public static final String AUTO_CREATE_QUEUE_MAX_NUM_ACTIVE_CONSUMERS

  Max number of active consumers for auto created queues.

  See Also:
    Constant Field Values

### AUTO_CREATE_QUEUE_MAX_NUM_BACKUP_CONSUMERS

    public static final String AUTO_CREATE_QUEUE_MAX_NUM_BACKUP_CONSUMERS

  Max number of backup consumers for auto created queues.

  See Also:
    Constant Field Values

### AUTO_CREATE_TOPICS

    public static final String AUTO_CREATE_TOPICS

  Auto creation of topics.

  See Also:
    Constant Field Values

### CONNECTION_ID

    public static final String CONNECTION_ID

  Connection ID - only for temporary destinations

  See Also:
    Constant Field Values

### DMQ_TRUNCATE_BODY

    public static final String DMQ_TRUNCATE_BODY

  Truncate bodies of messages in DMQ.

  See Also:
    Constant Field Values

### LOG_DEAD_MSGS

    public static final String LOG_DEAD_MSGS

  Logging of dead messages.

  See Also:
    Constant Field Values

### MAX_BYTES_PER_MSG

    public static final String MAX_BYTES_PER_MSG

  Max size of a message.

  See Also:
    Constant Field Values

### MAX_NUM_ACTIVE_CONSUMERS

    public static final String MAX_NUM_ACTIVE_CONSUMERS

  Max number of active consumers.

  See Also:
    Constant Field Values

### MAX_NUM_BACKUP_CONSUMERS

    public static final String MAX_NUM_BACKUP_CONSUMERS

  Max number of backup consumers.

  See Also:
    Constant Field Values

### MAX_NUM_MSGS

    public static final String MAX_NUM_MSGS

  Max number of messages.

  See Also:
    Constant Field Values

### MAX_NUM_PRODUCERS

    public static final String MAX_NUM_PRODUCERS

  Max number of producers.

  See Also:
    Constant Field Values

### MAX_TOTAL_MSG_BYTES

    public static final String MAX_TOTAL_MSG_BYTES

  Max total msg bytes

  See Also:
    Constant Field Values

### NUM_DESTINATIONS

    public static final String NUM_DESTINATIONS

  Number of destinations

  See Also:
    Constant Field Values

### NUM_MSGS

    public static final String NUM_MSGS

  Number of messages

  See Also:
    Constant Field Values

### NUM_MSGS_REMOTE

    public static final String NUM_MSGS_REMOTE

  Number of messages originating from producers on remote brokers

  See Also:
    Constant Field Values

### NUM_MSGS_HELD_IN_TRANSACTION

    public static final String NUM_MSGS_HELD_IN_TRANSACTION

  Number of messages held in transaction

  See Also:
    Constant Field Values

### NUM_MSGS_PENDING_ACKS

    public static final String NUM_MSGS_PENDING_ACKS

  Number of messages pending acknowledgement

  See Also:
    Constant Field Values

### NUM_MSGS_IN_DMQ

    public static final String NUM_MSGS_IN_DMQ

  Number of messages in dead message queue.

  See Also:
    Constant Field Values

### TOTAL_MSG_BYTES

    public static final String TOTAL_MSG_BYTES

  Total message bytes.

  See Also:
    Constant Field Values

### TOTAL_MSG_BYTES_REMOTE

    public static final String TOTAL_MSG_BYTES_REMOTE

  Total message bytes from messages originating from producers on remote brokers.

  See Also:
    Constant Field Values

### TOTAL_MSG_BYTES_HELD_IN_TRANSACTION

    public static final String TOTAL_MSG_BYTES_HELD_IN_TRANSACTION

  Total message bytes held in transaction.

  See Also:
    Constant Field Values

### TOTAL_MSG_BYTES_IN_DMQ

    public static final String TOTAL_MSG_BYTES_IN_DMQ

  Total message bytes in dead message queue.

  See Also:
    Constant Field Values

### AVG_NUM_ACTIVE_CONSUMERS

    public static final String AVG_NUM_ACTIVE_CONSUMERS

  Average number of active consumers

  See Also:
    Constant Field Values

### AVG_NUM_BACKUP_CONSUMERS

    public static final String AVG_NUM_BACKUP_CONSUMERS

  Average number of backup consumers

  See Also:
    Constant Field Values

### AVG_NUM_CONSUMERS

    public static final String AVG_NUM_CONSUMERS

  Average number of consumers

  See Also:
    Constant Field Values

### AVG_NUM_MSGS

    public static final String AVG_NUM_MSGS

  Average number of messages

  See Also:
    Constant Field Values

### AVG_TOTAL_MSG_BYTES

    public static final String AVG_TOTAL_MSG_BYTES

  Average total message bytes

  See Also:
    Constant Field Values

### CREATED_BY_ADMIN

    public static final String CREATED_BY_ADMIN

  Created by administrator.

  See Also:
    Constant Field Values

### DISK_RESERVED

    public static final String DISK_RESERVED

  Disk reserved.

  See Also:
    Constant Field Values

### DISK_USED

    public static final String DISK_USED

  Disk Used.

  See Also:
    Constant Field Values

### DISK_UTILIZATION_RATIO

    public static final String DISK_UTILIZATION_RATIO

  Disk utilization ratio.

  See Also:
    Constant Field Values

### MSG_BYTES_IN

    public static final String MSG_BYTES_IN

  Msg bytes in

  See Also:
    Constant Field Values

### MSG_BYTES_OUT

    public static final String MSG_BYTES_OUT

  Msg bytes out

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  Destination name

  See Also:
    Constant Field Values

### NUM_ACTIVE_CONSUMERS

    public static final String NUM_ACTIVE_CONSUMERS

  Number of active consumers

  See Also:
    Constant Field Values

### NUM_BACKUP_CONSUMERS

    public static final String NUM_BACKUP_CONSUMERS

  Number of backup consumers

  See Also:
    Constant Field Values

### NUM_CONSUMERS

    public static final String NUM_CONSUMERS

  Number of consumers

  See Also:
    Constant Field Values

### NUM_WILDCARDS

    public static final String NUM_WILDCARDS

  Number of wildcards

  See Also:
    Constant Field Values

### NUM_WILDCARD_CONSUMERS

    public static final String NUM_WILDCARD_CONSUMERS

  Number of wildcard consumers

  See Also:
    Constant Field Values

### NUM_WILDCARD_PRODUCERS

    public static final String NUM_WILDCARD_PRODUCERS

  Number of wildcard producers

  See Also:
    Constant Field Values

### NUM_MSGS_IN

    public static final String NUM_MSGS_IN

  Number of msgs in

  See Also:
    Constant Field Values

### NUM_MSGS_OUT

    public static final String NUM_MSGS_OUT

  Number of msgs out

  See Also:
    Constant Field Values

### NUM_PRODUCERS

    public static final String NUM_PRODUCERS

  Number of producers

  See Also:
    Constant Field Values

### PEAK_MSG_BYTES

    public static final String PEAK_MSG_BYTES

  Peak message bytes

  See Also:
    Constant Field Values

### PEAK_NUM_ACTIVE_CONSUMERS

    public static final String PEAK_NUM_ACTIVE_CONSUMERS

  Peak number of active consumers

  See Also:
    Constant Field Values

### PEAK_NUM_BACKUP_CONSUMERS

    public static final String PEAK_NUM_BACKUP_CONSUMERS

  Peak number of backup consumers

  See Also:
    Constant Field Values

### PEAK_NUM_CONSUMERS

    public static final String PEAK_NUM_CONSUMERS

  Peak number of consumers

  See Also:
    Constant Field Values

### PEAK_NUM_MSGS

    public static final String PEAK_NUM_MSGS

  Peak number of messages

  See Also:
    Constant Field Values

### PEAK_TOTAL_MSG_BYTES

    public static final String PEAK_TOTAL_MSG_BYTES

  Peak total message bytes

  See Also:
    Constant Field Values

### STATE

    public static final String STATE

  Destination state.

  See Also:
    Constant Field Values

### NEXT_MESSAGE_ID

    public static final String NEXT_MESSAGE_ID

  Next Message to be delivered

  See Also:
    Constant Field Values

### STATE_LABEL

    public static final String STATE_LABEL

  String representation of destination state.

  See Also:
    Constant Field Values

### TEMPORARY

    public static final String TEMPORARY

  Attribute indicating if a destination is temporary or not.

  See Also:
    Constant Field Values

### TYPE

    public static final String TYPE

  Destination type

  See Also:
    Constant Field Values

### USE_DMQ

    public static final String USE_DMQ

  Use dead message queue.

  See Also:
    Constant Field Values

### VALIDATE_XML_SCHEMA_ENABLED

    public static final String VALIDATE_XML_SCHEMA_ENABLED

See Also:
  Constant Field Values

### XML_SCHEMA_URI_LIST

    public static final String XML_SCHEMA_URI_LIST

  List of XML schema URIs

  See Also:
    Constant Field Values

### RELOAD_XML_SCHEMA_ON_FAILURE

    public static final String RELOAD_XML_SCHEMA_ON_FAILURE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.